<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreatePurchaseItemsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('purchase_items', function (Blueprint $table) {
            $table->increments('id');
            $table->bigInteger('invoice_id')->nullable();
            $table->string('item_code')->nullable();
            $table->string('description')->nullable();
            $table->string('unit_price')->nullable();
            $table->double('discount')->nullable();
            $table->string('quantity')->nullable();
            $table->string('gst_value')->nullable();
            $table->double('amount')->nullable();
            $table->enum('is_recycle', ['0', '1', '2'])->default('0');

            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('purchase_items');
    }
}
